
set( messagefacility_VERSION 2.07.00 )
set( messagefacility_UPS_VERSION v2_07_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/messagefacility/v2_07_00/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/messagefacility/v2_07_00/Modules")
endif()



## find_library directives
find_ups_product( cetlib_except v1_00_00 )
find_ups_product( cetlib v2_00_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp v2_17_00 )
set(MF_MESSAGELOGGER "$ENV{MESSAGEFACILITY_LIB}/libMF_MessageLogger.so")
set(MF_CATCH_MAIN "$ENV{MESSAGEFACILITY_LIB}/libmf_catch_main.a")
set(MESSAGEFACILITY_PLUGINS_COUT_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_cout_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_CERR_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_cerr_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_FILE_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_file_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_SYSLOG_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_syslog_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_SQLITE_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_sqlite_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_STRINGSTREAM_MFPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_stringstream_mfPlugin.so")
set(MESSAGEFACILITY_PLUGINS_COUT_MFSTATSPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_cout_mfStatsPlugin.so")
set(MESSAGEFACILITY_PLUGINS_CERR_MFSTATSPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_cerr_mfStatsPlugin.so")
set(MESSAGEFACILITY_PLUGINS_FILE_MFSTATSPLUGIN "$ENV{MESSAGEFACILITY_LIB}/libmessagefacility_plugins_file_mfStatsPlugin.so")
  include_directories ( "$ENV{MESSAGEFACILITY_INC}" )
  set( MESSAGEFACILITY_PLUGINVERSIONINFO_PM $ENV{MESSAGEFACILITY_DIR}/perllib/CetSkelPlugins/messagefacility/PluginVersionInfo.pm )
  set( ELDESTINATION_PM $ENV{MESSAGEFACILITY_DIR}/perllib/CetSkelPlugins/ELdestination.pm )

check_required_components(messagefacility)

